/*
 Navicat Premium Data Transfer

 Source Server         : 主机
 Source Server Type    : MySQL
 Source Server Version : 50726
 Source Host           : localhost:3306
 Source Schema         : admin

 Target Server Type    : MySQL
 Target Server Version : 50726
 File Encoding         : 65001

 Date: 11/10/2021 16:57:20
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for algorithm
-- ----------------------------
DROP TABLE IF EXISTS `algorithm`;
CREATE TABLE `algorithm`
(
    `algorithm_id`   bigint(20)                                                    NOT NULL AUTO_INCREMENT COMMENT '算法id',
    `algorithm_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci  NULL     DEFAULT NULL COMMENT '算法名称',
    `category_id`    bigint(20)                                                    NULL     DEFAULT NULL COMMENT '类别',
    `number`         bigint(20)                                                    NULL     DEFAULT 0 COMMENT '版本数量',
    `remark`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL     DEFAULT NULL COMMENT '备注',
    `uid`            bigint(20)                                                    NOT NULL DEFAULT 1 COMMENT '所属用户id',
    `frame_id`       bigint(20)                                                    NULL     DEFAULT NULL COMMENT '框架名称即就是镜像名称',
    `dfs_url`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL     DEFAULT '' COMMENT '文件系统路径',
    PRIMARY KEY (`algorithm_id`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 34
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of algorithm
-- ----------------------------
INSERT INTO `algorithm`
VALUES (1, 'test_algorithm', 2, 9, 'its remark', 1, NULL, '');
INSERT INTO `algorithm`
VALUES (2, 'test_algorithm2', 1, 8, 'remark', 1, NULL, '');
INSERT INTO `algorithm`
VALUES (22, 'test07191044', 1, 1, '', 1, 1, NULL);
INSERT INTO `algorithm`
VALUES (29, 'TEST0719', 1, 1, '', 1, 1, NULL);
INSERT INTO `algorithm`
VALUES (31, 'test0722', 1, 2, '', 1, 1, NULL);
INSERT INTO `algorithm`
VALUES (32, 'test072400', 1, 2, '', 1, 1, NULL);
INSERT INTO `algorithm`
VALUES (33, 'test0802', 1, 1, '', 1, 1, NULL);

SET FOREIGN_KEY_CHECKS = 1;
