/*
 Navicat Premium Data Transfer

 Source Server         : 主机
 Source Server Type    : MySQL
 Source Server Version : 50726
 Source Host           : localhost:3306
 Source Schema         : admin

 Target Server Type    : MySQL
 Target Server Version : 50726
 File Encoding         : 65001

 Date: 11/10/2021 16:57:35
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for applications
-- ----------------------------
DROP TABLE IF EXISTS `applications`;
CREATE TABLE `applications`
(
    `application_name`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '名称',
    `application_id`          int(11)                                               NOT NULL AUTO_INCREMENT COMMENT '应用ID',
    `application_version`     varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '应用版本',
    `application_status`      varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '应用状态',
    `parent_project_name`     varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所属项目名称',
    `create_time`             datetime                                              NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
    `creator_name`            varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '创建者名称',
    `application_description` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '描述信息',
    `application_type`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '应用类型：水文 采矿',
    PRIMARY KEY (`application_id`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 18
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT = '应用管理的表'
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of applications
-- ----------------------------
INSERT INTO `applications`
VALUES ('test1', 14, 'v1', '运行中', 'mkcloud', '2021-09-28 12:28:47', 'admin', '', '水文');
INSERT INTO `applications`
VALUES ('ewr', 15, 'v1', '运行中', 'mkcloud', '2021-09-30 13:14:15', 'admin', '', '水文');
INSERT INTO `applications`
VALUES ('tesde', 17, 'v1', '运行中', 'mkcloud', '2021-10-11 15:04:37', 'admin', 'dfs', '采矿');

SET FOREIGN_KEY_CHECKS = 1;
