/*
 Navicat Premium Data Transfer

 Source Server         : 主机
 Source Server Type    : MySQL
 Source Server Version : 50726
 Source Host           : localhost:3306
 Source Schema         : admin

 Target Server Type    : MySQL
 Target Server Version : 50726
 File Encoding         : 65001

 Date: 11/10/2021 16:57:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for images
-- ----------------------------
DROP TABLE IF EXISTS `images`;
CREATE TABLE `images`
(
    `image_name`        varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '镜像名称',
    `image_id`          int(30)                                                NOT NULL AUTO_INCREMENT COMMENT '镜像id',
    `image_tag`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '镜像版本',
    `creator_name`      varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '创建者姓名',
    `create_time`       datetime                                               NULL DEFAULT NULL COMMENT '镜像创建时间',
    `image_type`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin  NULL DEFAULT NULL COMMENT '镜像类型',
    `image_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '描述信息',
    `build_environment` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '构建环境',
    `image_size`        double                                                 NULL DEFAULT NULL COMMENT '镜像大小',
    `image_alias`       varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '镜像别名',
    PRIMARY KEY (`image_id`) USING BTREE
) ENGINE = InnoDB
  AUTO_INCREMENT = 4
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_bin
  ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of images
-- ----------------------------
INSERT INTO `images`
VALUES ('1', 1, '1', '1', '2016-11-11 11:11:11', '基础镜像', '1', NULL, NULL, NULL);
INSERT INTO `images`
VALUES ('2', 2, '1', '1', '2016-11-11 11:11:11', '应用镜像', '1', NULL, NULL, NULL);
INSERT INTO `images`
VALUES ('2', 3, '1', '1', '2016-11-11 11:11:11', '应用镜像', '1', NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
