/*
 Navicat Premium Data Transfer

 Source Server         : 主机
 Source Server Type    : MySQL
 Source Server Version : 50726
 Source Host           : localhost:3306
 Source Schema         : admin

 Target Server Type    : MySQL
 Target Server Version : 50726
 File Encoding         : 65001

 Date: 11/10/2021 16:58:17
*/

SET NAMES utf8mb4;
SET
FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for volumes
-- ----------------------------
DROP TABLE IF EXISTS `volumes`;
CREATE TABLE `volumes`
(
    `volumes_name`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '存储卷名称',
    `volumes_alias`       varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '存储卷别名',
    `volumes_id`          int(20) NOT NULL AUTO_INCREMENT COMMENT '存储卷ID',
    `volumes_state`       varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '存储卷的状态',
    `access_mode`         varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '访问模式',
    `volumes_mount`       varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT '0' COMMENT '挂载状态',
    `create_time`         datetime NULL DEFAULT NULL COMMENT '创建时的时间',
    `parent_project_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '所属项目名称',
    `volumes_size`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '存储卷容量',
    `volumes_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '存储卷描述信息',
    `creator_name`        varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '创建者名称',
    PRIMARY KEY (`volumes_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of volumes
-- ----------------------------
INSERT INTO `volumes`
VALUES ('dfsdf', '11', 8, NULL, 'ReadWriteOnce', '未挂载', '2021-09-27 23:09:36', 'mkcloud', '1.0', '23ds', 'admin');
INSERT INTO `volumes`
VALUES ('we', '', 10, NULL, 'ReadWriteOnce', '未挂载', '2021-10-11 14:58:51', 'mkcloud', '1.0', '', 'admin');

SET
FOREIGN_KEY_CHECKS = 1;
