package io.renren.modules.generator.dao;

import io.renren.modules.generator.entity.AlgorithmEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-08-06 15:33:20
 */
@Mapper
public interface AlgorithmDao extends BaseMapper<AlgorithmEntity> {
    @Select("select * from algorithm")
    List<AlgorithmEntity> getAlgorithmList();

    @Update("update algorithm set remark=#{remark} where algorithm_id=#{algorithmId}")
    int updateById(AlgorithmEntity algorithm);

}
