package io.renren.modules.generator.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.generator.entity.ModelEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0
 * @Date 2021/11/24
 */
@Mapper
public interface ModelDao extends BaseMapper<ModelEntity> {
    @Update("update algorithm_model set remark=#{remark} where model_id=#{modelId}")
    int updateById(ModelEntity model);

    @Update("update algorithm_model set construct_message=#{constructMessage} where model_id=#{modelId}")
    int updateConstructMessage(ModelEntity model);
}
