package io.renren.modules.generator.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

import java.io.Serializable;

/**
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-08-06 15:33:20
 */
@Data
@TableName("algorithm")
public class AlgorithmEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 算法id
     */
    @TableId
    private Long algorithmId;
    /**
     * 算法名称
     */
    private String algorithmName;
    /**
     * 类别
     */
    private Long categoryId;
    /**
     * 版本数量
     */
    private Long number;
    /**
     * 备注
     */
    private String remark;
    /**
     * 所属用户id
     */
    private Long uid;
    /**
     * 框架名称即就是镜像名称
     */
    private Long frameId;
    /**
     * 文件系统路径
     */
    private String dfsUrl;

    /**
     * 应用运行文件
     */
    private String appFile;

    /**
     * 所属算法id
     */
    private Long belongAlgId;

    /**
     * 镜像构建信息(算法下载中，镜像制作中)
     */
    private String constructMessage;

}
