package io.renren.modules.generator.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用管理的表
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-07-30 15:08:06
 */
@Data
@TableName("applications")
public class ApplicationsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String applicationName;

    /**
     * 应用类型
     */
    private String applicationType;

    /**
     * 应用ID
     */
    @TableId
    private Integer applicationId;
    /**
     * 应用版本
     */
    private String applicationVersion;

    /**
     * 应用状态
     */
    private String applicationStatus;
    /**
     * 所属项目名称
     */
    private String parentProjectName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建者姓名
     */
    private String creatorName;
    /**
     * 描述信息
     */
    private String applicationDescription;

}
