package io.renren.modules.generator.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-07-30 15:08:06
 */
@Data
@TableName("images")
public class ImagesEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 镜像名称
     */
    private String imageName;
    /**
     * 镜像别名
     */
    private String imageAlias;
    /**
     * 镜像id
     */
    @TableId
    private Integer imageId;
    /**
     * 镜像版本
     */
    private String imageTag;
    /**
     * 创建者姓名
     * 这里改成String
     * 但是不太确定
     */
    private String creatorName;
    /**
     * 镜像大小，这里double类型
     */
    private Double imageSize;
    /**
     * 镜像创建时间
     */
    private Date createTime;
    /**
     * 镜像类型
     */
    private String imageType;
    /**
     * 镜像的构建环境
     */
    private String buildEnvironment;
    /**
     * 描述信息
     */
    private String imageDescription;

}
