package io.renren.modules.generator.service.impl;

import io.renren.datasource.annotation.DataSource;
import io.renren.modules.generator.dao.AlgorithmParameterDao;
import io.renren.modules.generator.entity.AlgorithmParameter;
import io.renren.modules.generator.service.AlgorithmParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@DataSource("slave2")
public class AlgorithmParameterServiceImpl implements AlgorithmParameterService {
    @Autowired
    AlgorithmParameterDao algorithmParameterDao;
    @Override
    public List<AlgorithmParameter> selectByPrimaryKey(Long algorithmId) {
        return algorithmParameterDao.selectByPrimaryKey(algorithmId);
    }
}
