package io.renren.modules.generator.service.impl;

import io.renren.datasource.annotation.DataSource;
import io.renren.modules.generator.dao.AlgorithmResultDao;
import io.renren.modules.generator.entity.AlgorithmResult;
import io.renren.modules.generator.service.AlgorithmResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@DataSource("slave2")
public class AlgorithmResultServiceImpl implements AlgorithmResultService {
    @Autowired
    AlgorithmResultDao algorithmResultDao;
    @Override
    public List<AlgorithmResult> selectByPrimaryKey(Long algorithmId) {
        return algorithmResultDao.selectByPrimaryKey(algorithmId);
    }
}
