package io.renren.modules.kubesphere.service.impl;

import io.renren.datasource.annotation.DataSource;
import io.renren.modules.kubesphere.mapper.ImageMapper;
import io.renren.modules.kubesphere.service.ImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0
 * @Date 2021/10/18
 */
@Service
@DataSource("slave2")
public class ImageServiceImpl implements ImageService {
    @Autowired
    ImageMapper imageMapper;

    @Override
    public boolean findImageByName(String imageName) {
        return imageMapper.findImageByName(imageName) > 0;
    }
}
