package io.renren.modules.minio.controller;

import io.renren.common.utils.GsonUtil;
import io.renren.modules.minio.pojo.MinioAlgorithm;
import io.renren.modules.minio.service.impl.MinioAlgorithmServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0r
 * @Date 2021/10/18
 */
@RestController
@RequestMapping("minioAlgorithm/")
public class MinioAlgorithmController {

    @Autowired
    MinioAlgorithmServiceImpl minioAlgorithmService;

    @GetMapping("getAlgorithmList")
    public String getAlgorithmList() {
        List<MinioAlgorithm> list = minioAlgorithmService.getMinioAlgorithmList();
        return GsonUtil.toString(list);
    }

}
