package io.renren.modules.generator.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.generator.entity.CategoryEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CategoryMapper extends BaseMapper<CategoryEntity> {
    @Select("SELECT id FROM classification WHERE name = #{name,jdbcType=VARCHAR}")
    Long getByName(@Param("name") String classificationtag);
}
