package io.renren.modules.generator.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description
 * @Author chenrj.xdu@gmail.com
 * @Version V1.0.0
 * @Since 1.0
 * @Date 2021/11/24
 */

@Data
@TableName("algorithm_model")
public class ModelEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * model id
     */
    @TableId
    private Long ModelId;
    /**
     * model名称
     */
    private String ModelName;
    /**
     * 类别
     */
    private Long categoryId;
    /**
     * 存储形式
     */
    private Integer form;
    /**
     * 备注
     */
    private String remark;
    /**
     * 所属用户id
     */
    private Long uid;
    /**
     * 文件系统路径
     */
    private String dfsUrl;
    /**
     * 是否同意发布，1 同意 0 不同意
     */
    private Integer isApprovaled;

    /**
     * 镜像构建信息(算法下载中、镜像制作中、制作完成)
     */
    private String constructMessage;
}
