package io.renren.modules.kubesphere.controller;

import io.renren.modules.kubesphere.service.StorageVolumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 创建存储卷
 *
 * @author chenrj
 * @email 1412736935@qq.com
 * @since 2021/8/10
 */

@RestController
@RequestMapping("kubeSphere")
public class StorageVolumeController {

    @Autowired
    StorageVolumeService storageVolumeService;

    @PostMapping("/createStorageVolume")
    public String createStorageVolume(@RequestBody String jsonData) {
        return storageVolumeService.createStorageVolume(jsonData);
    }


}
